<<

# Bugzilla::Install

- NAME
- SYNOPSIS
- DESCRIPTION
- CONSTANTS
- SUBROUTINES

# NAME

Bugzilla::Install - Functions and variables having to do with installation.

# SYNOPSIS

     use Bugzilla::Install;
     Bugzilla::Install::update_settings();

# DESCRIPTION

This module is used primarily by checksetup.pl during installation. This module contains functions that deal with general installation issues after the database is completely set up and configured.

# CONSTANTS

`SETTINGS`

  Contains information about Settings, used by "update_settings()".

# SUBROUTINES

`update_settings()`

  Description: Adds and updates Settings for users.

  Params: none

  Returns: nothing.

`create_default_classification`

  Creates the default "Unclassified" Classification if it doesn't already exist

`create_default_product()`

  Description: Creates the default product and component if they don't exist.

  Params: none

  Returns: nothing

<<